@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!perl
#line 15

use strict;
use warnings;

use File::Basename;
use File::Spec::Functions;
use Pod::PseudoPod::LaTeX;

die "$0 <files to pdfify>\n" unless @ARGV;

for my $file (@ARGV)
{
	die "Cannot read '$file': $!\n" unless -e $file;
	my $outfile   = catfile(
		'build',
		(fileparse( $file, qr/\.pod$/ ))[0] . '.tex'
	);
	open( my $fh, '>', $outfile ) or die "Can't write to '$outfile': $!\n";

	my $parser    = Pod::PseudoPod::LaTeX->new();
	$parser->output_fh( $fh );

	warn "$file -> $outfile\n";

	$parser->parse_file( $file );
}

__END__
:endofperl
